curl --request PATCH \
--url https://api.hubapi.com/crm-object-schemas/2026-03/schemas/{objectType} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"clearDescription": true,
"allowsSensitiveProperties": true,
"description": "<string>",
"labels": {
"plural": "<string>",
"singular": "<string>"
},
"primaryDisplayProperty": "<string>",
"requiredProperties": [
"<string>"
],
"restorable": true,
"searchableProperties": [
"<string>"
],
"secondaryDisplayProperties": [
"<string>"
]
}
'import requests
url = "https://api.hubapi.com/crm-object-schemas/2026-03/schemas/{objectType}"
payload = {
"clearDescription": True,
"allowsSensitiveProperties": True,
"description": "<string>",
"labels": {
"plural": "<string>",
"singular": "<string>"
},
"primaryDisplayProperty": "<string>",
"requiredProperties": ["<string>"],
"restorable": True,
"searchableProperties": ["<string>"],
"secondaryDisplayProperties": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
clearDescription: true,
allowsSensitiveProperties: true,
description: '<string>',
labels: {plural: '<string>', singular: '<string>'},
primaryDisplayProperty: '<string>',
requiredProperties: ['<string>'],
restorable: true,
searchableProperties: ['<string>'],
secondaryDisplayProperties: ['<string>']
})
};
fetch('https://api.hubapi.com/crm-object-schemas/2026-03/schemas/{objectType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"allowsSensitiveProperties": true,
"archived": true,
"fullyQualifiedName": "<string>",
"id": "<string>",
"labels": {
"plural": "<string>",
"singular": "<string>"
},
"name": "<string>",
"objectTypeId": "<string>",
"requiredProperties": [
"<string>"
],
"searchableProperties": [
"<string>"
],
"secondaryDisplayProperties": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"portalId": 123,
"primaryDisplayProperty": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Update the schema of a specified custom object.
オブジェクトタイプIDまたは完全修飾名を使用して、プロパティーやラベルなどのカスタムオブジェクトスキーマの属性を更新します。
Supported products
Supported products
Required Scopes
Required Scopes
承認
The access token received from the authorization server in the OAuth 2.0 flow.
パスパラメータ
ボディ
オブジェクトタイプの説明をクリアするかどうかを示します。
オブジェクトタイプにセンシティブとされたプロパティーを含めることができるかどうかを決定します。
オブジェクトタイプの簡単な説明。
Show child attributes
Show child attributes
このオブジェクトのプライマリープロパティーの名前。このオブジェクトタイプのHubSpotレコードページにプライマリーとして表示されます。
このタイプのオブジェクトを作成する際に「必須」となるプロパティーの名前。
オブジェクトタイプを削除後に復元できるかどうかを指定します。
HubSpotの製品検索でこのオブジェクトタイプについてインデックスされるプロパティーの名前。
このオブジェクトのセカンダリープロパティーの名前。このオブジェクトタイプのHubSpotレコードページにセカンダリーとして表示されます。
レスポンス
successful operation
オブジェクトタイプでセンシティブデータが含まれるプロパティーが許可されるかどうかを示します。
オブジェクトタイプがアーカイブ済みかどうかを示します。
ポータルIDやオブジェクト名を含む、オブジェクトの割り当てられた固有ID。
このオブジェクトタイプの固有ID。{meta-type}-{unique ID}として定義されます。
Show child attributes
Show child attributes
このオブジェクトの重複しない名前。内部使用のみ。
オブジェクトタイプの固有ID。
このタイプのオブジェクトを作成する際に「必須」となるプロパティーの名前。
HubSpotの製品検索でこのオブジェクトタイプについてインデックスされるプロパティーの名前。
このオブジェクトのセカンダリープロパティーの名前。このオブジェクトタイプのHubSpotレコードページにセカンダリーとして表示されます。
オブジェクトタイプが作成された日時。
オブジェクトタイプの説明。
このオブジェクトタイプが固有であるアカウントのID。
このオブジェクトのプライマリープロパティーの名前。このオブジェクトタイプのHubSpotレコードページにプライマリーとして表示されます。
オブジェクトタイプが最後に更新された日時。